Bug 917365 - Review Request: ibus-bogo - Vietnamese engine for IBus input platform
Summary: Review Request: ibus-bogo - Vietnamese engine for IBus input platform
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-03 15:39 UTC by Truong Anh Tuan
Modified: 2013-05-16 03:04 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-13 02:05:11 UTC
dueno: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Truong Anh Tuan 2013-03-03 15:39:28 UTC
Spec URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo.spec
SRPM URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo-0-0.6.6b003a1.fc18.src.rpm
Description: A Vietnamese engine for IBus input platform that uses BoGoEngine.
Fedora Account System Username: tuanta

Comment 1 Truong Anh Tuan 2013-03-11 03:30:01 UTC
While waiting for package review started, upstream developers fix some important patches.
I update the package for review here:
Spec URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo.spec
SRPM URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo-0-0.7.d5b92ec.fc18.src.rpm

Comment 2 Truong Anh Tuan 2013-03-13 08:06:38 UTC
Update the latest version to fix the release number to suitable with upstream one and fix some important bugs. The package for review now here:
Spec URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo.spec
SRPM URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo-0-2.9.a564b30.fc18.src.rpm

Comment 3 Truong Anh Tuan 2013-03-14 07:30:40 UTC
More update here:
Spec URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo.spec
SRPM URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo-0-2.10.006cf12.fc18.src.rpm

It's highly appreciated if anyone can start reviewing my new package here. TIA.

Comment 4 Truong Anh Tuan 2013-03-25 03:15:29 UTC
A new update is available now:
Spec URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo.spec
SRPM URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo-0-2.11.eba2b22.fc18.src.rpm

I wonder what I should do to motivate someone to start review this package?

Comment 5 Truong Anh Tuan 2013-03-30 05:10:29 UTC
Finally, ibus-bogo release 0.3 has been out. I also update spec file and source package:
Spec URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo.spec
SRPM URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo-0.3-1.fc18.src.rpm

It's a good time to start reviewing this new package.
Please help me. TIA.

Comment 6 Daiki Ueno 2013-04-22 03:30:42 UTC
I can take it.  However, the mock build is failing here, because of missing "pyside-update" and "lrelease" commands.  Could you update the spec so it pulls the appropriate packages which provide them?

Comment 7 Truong Anh Tuan 2013-04-22 16:00:23 UTC
(In reply to comment #6)
> I can take it. 

Thanks.

> However, the mock build is failing here, because of missing
> "pyside-update" and "lrelease" commands.  Could you update the spec so it
> pulls the appropriate packages which provide them?

I updated spec file and rebuild the source file. New files could be found here:
Spec URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo.spec
SRPM URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo-0.3-2.fc18.src.rpm

Please help me to review it. Thanks again.

Comment 8 Daiki Ueno 2013-04-23 07:43:54 UTC
Well, mock build still fails with:

/bin/sh: pyside-lupdate: command not found
make[2]: *** [config-gui/CMakeFiles/translations] Error 127

But I could work around this by installing pyside-tools.

Here is the review.  Summary:

* ibus-bogo-settings does not start under F18, with errors like:

  SyntaxError: Non-ASCII character '\xe1' in file

  (perhaps it depends on locale settings)

* Good to borrow the snippet for generating icon cache:

  https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

* Good to preserve timestamps of installed files with:

  make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

* Does it include any arch-dependent files?  If not, it can be BuildArch: noarch.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/ueno/Downloads/review-
  ibus-bogo/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- update-desktop-database is invoked when required
  Note: desktop file(s) in ibus-bogo
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- gtk-update-icon-cache is invoked when required
  Note: icons in ibus-bogo
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/ueno/Downloads/review-
     ibus-bogo/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ibus-bogo-0.3-2.fc20.x86_64.rpm
ibus-bogo.x86_64: E: no-binary
ibus-bogo.x86_64: E: non-executable-script /usr/share/ibus-bogo/config-gui/controller.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 2 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ibus-bogo
ibus-bogo.x86_64: E: no-binary
ibus-bogo.x86_64: E: non-executable-script /usr/share/ibus-bogo/config-gui/controller.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 2 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
ibus-bogo (rpmlib, GLIBC filtered):
    /bin/bash
    ibus
    python-pyside
    python3
    qt3



Provides
--------
ibus-bogo:
    ibus-bogo
    ibus-bogo(x86-64)



MD5-sum check
-------------
http://github.com/BoGoEngine/ibus-bogo-python/archive/7aeb7bdb0a42d5babc034509e07fce177b4ae5ac/ibus-bogo-0.3-7aeb7bd.tar.gz :
  CHECKSUM(SHA256) this package     : 96e5933382bb164b749985b31cd3046ce2f1beba54ed65bd081b5cc48bd2a9a8
  CHECKSUM(SHA256) upstream package : 2bb03a04487173eb33d88cca1c043bc9f62b6eb8d62de0c7bb41dda93c1f0e7a
diff -r also reports differences


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -n ibus-bogo

Comment 9 Truong Anh Tuan 2013-04-24 08:07:53 UTC
(In reply to comment #8)

Thanks for reviewing my package.

Here is the newly updated spec and source files:
Spec URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo.spec
SRPM URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo-0.3-3.fc18.src.rpm

Also, please see my additional comments below:

> Well, mock build still fails with:
> 
> /bin/sh: pyside-lupdate: command not found
> make[2]: *** [config-gui/CMakeFiles/translations] Error 127
> 
> But I could work around this by installing pyside-tools.

This has been updated to BuildRequires

> Here is the review.  Summary:
> 
> * ibus-bogo-settings does not start under F18, with errors like:
> 
>   SyntaxError: Non-ASCII character '\xe1' in file
> 
>   (perhaps it depends on locale settings)

I will check with upstream developers.

Since this issue does not effect to main program (the Vietnamese keyboard typing) but just the settings module, can we still push the package to Fedora repos? (while checking with them)

> * Good to borrow the snippet for generating icon cache:
> 
>   https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Updated.

> * Good to preserve timestamps of installed files with:
> 
>   make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

Updated.

> * Does it include any arch-dependent files?  If not, it can be BuildArch:
> noarch.

BuildArch has been set to noarch.

> Package Review
> ==============
> 
> Key:
> [x] = Pass
> [!] = Fail
> [-] = Not applicable
> [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Sources used to build the package match the upstream source, as provided in
>   the spec URL.
>   Note: Upstream MD5sum check error, diff is in /home/ueno/Downloads/review-
>   ibus-bogo/diff.txt
>   See: http://fedoraproject.org/wiki/Packaging/SourceURL

Updated.

> - update-desktop-database is invoked when required
>   Note: desktop file(s) in ibus-bogo
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
> - gtk-update-icon-cache is invoked when required
>   Note: icons in ibus-bogo
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Updated.

<snipped>

> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [!]: Final provides and requires are sane (see attachments).

Can you explain more what I need to do here?

> [?]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [!]: Patches link to upstream bugs/comments/lists or are otherwise justified.

If this note is mandatory, I will work with upstream developers to have them.

> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [!]: Package should compile and build into binary rpms on all supported
>      architectures.

Updated to "noarch"

> [-]: %check is present and all tests pass.
> [!]: Packages should try to preserve timestamps of original installed files.

Updated.

<snipped> 

> Rpmlint
> -------
> Checking: ibus-bogo-0.3-2.fc20.x86_64.rpm
> ibus-bogo.x86_64: E: no-binary
> ibus-bogo.x86_64: E: non-executable-script
> /usr/share/ibus-bogo/config-gui/controller.py 0644L /usr/bin/env
> 1 packages and 0 specfiles checked; 2 errors, 0 warnings.

Could you please recheck the new version for me.

Also, can you tell me more what/how I should do here.
Note that this program is written in python scripts without any binaries at all.

> Rpmlint (installed packages)
> ----------------------------
> # rpmlint ibus-bogo
> ibus-bogo.x86_64: E: no-binary
> ibus-bogo.x86_64: E: non-executable-script
> /usr/share/ibus-bogo/config-gui/controller.py 0644L /usr/bin/env
> 1 packages and 0 specfiles checked; 2 errors, 0 warnings.
> # echo 'rpmlint-done:'

Same as above.

<snipped>

Comment 10 Daiki Ueno 2013-04-25 09:02:16 UTC
Thanks for the update.

(In reply to comment #9)

> > /bin/sh: pyside-lupdate: command not found
> > make[2]: *** [config-gui/CMakeFiles/translations] Error 127
> > 
> > But I could work around this by installing pyside-tools.
>
> This has been updated to BuildRequires

Well, still not there in 0.3-3.  Maybe you could adjust it at initial import.
 
> >   SyntaxError: Non-ASCII character '\xe1' in file
> 
> I will check with upstream developers.
> 
> Since this issue does not effect to main program (the Vietnamese keyboard
> typing) but just the settings module, can we still push the package to
> Fedora repos? (while checking with them)

Sure.
 
> > [!]: Final provides and requires are sane (see attachments).
> 
> Can you explain more what I need to do here?

My mistake, sorry.  I first thought that the settings app needs
qt4 rather than qt3, but it seems to work with both.
 
> > [!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
> 
> If this note is mandatory, I will work with upstream developers to have them.

This is a SHOULD item, so I think it is fine to ignore at the moment.
 
> > Rpmlint

> Could you please recheck the new version for me.

Here is the result of rpmlint against the new version:

Rpmlint
-------
Checking: ibus-bogo-0.3-3.fc20.noarch.rpm
ibus-bogo.noarch: E: non-executable-script /usr/share/ibus-bogo/config-gui/controller.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

I guess you can safely remove the shebang line "#!/usr/bin/env
python3" of controller.py, as ibus-bogo-settings script runs the
script with python2.

Anyway, looks better and I'd approve the package.

Comment 11 Truong Anh Tuan 2013-04-29 15:30:14 UTC
(In reply to comment #10)
> Thanks for the update.
> 
> (In reply to comment #9)
> 
> > > /bin/sh: pyside-lupdate: command not found
> > > make[2]: *** [config-gui/CMakeFiles/translations] Error 127
> > > 
> > > But I could work around this by installing pyside-tools.
> >
> > This has been updated to BuildRequires
> 
> Well, still not there in 0.3-3.  Maybe you could adjust it at initial import.

My fault :(
I updated this.

> > > Rpmlint
> 
> > Could you please recheck the new version for me.
> 
> Here is the result of rpmlint against the new version:
> 
> Rpmlint
> -------
> Checking: ibus-bogo-0.3-3.fc20.noarch.rpm
> ibus-bogo.noarch: E: non-executable-script
> /usr/share/ibus-bogo/config-gui/controller.py 0644L /usr/bin/env
> 1 packages and 0 specfiles checked; 1 errors, 0 warnings.
> 
> I guess you can safely remove the shebang line "#!/usr/bin/env
> python3" of controller.py, as ibus-bogo-settings script runs the
> script with python2.

I updated this as well.

Please see new versions at:
Spec URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo.spec
SRPM URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo-0.3-4.fc18.src.rpm

> Anyway, looks better and I'd approve the package.

Thanks. You done this or not?

Comment 12 Daiki Ueno 2013-04-30 06:00:59 UTC
(In reply to comment #11)
> Please see new versions at:
> Spec URL: http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo.spec
> SRPM URL:
> http://tuanta.fedorapeople.org/ibus-bogo/ibus-bogo-0.3-4.fc18.src.rpm

Thanks for the update.  Looks fine (except that the shebang issue seems not fixed, not a blocker though).

> > Anyway, looks better and I'd approve the package.
> 
> Thanks. You done this or not?

Yes, I already set fedora-review+.  You can proceed to the SCM request.

Comment 13 Truong Anh Tuan 2013-04-30 16:44:49 UTC
New Package SCM Request
=======================
Package Name: ibus-bogo
Short Description: Vietnamese engine for IBus input platform
Owners: tuanta
Branches: f18 f19 el6
InitialCC:

Comment 14 Gwyn Ciesla 2013-04-30 16:48:43 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2013-04-30 17:31:32 UTC
ibus-bogo-0.3-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-bogo-0.3-4.fc19

Comment 16 Fedora Update System 2013-04-30 17:35:55 UTC
ibus-bogo-0.3-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-bogo-0.3-4.fc18

Comment 17 Fedora Update System 2013-05-01 03:34:39 UTC
ibus-bogo-0.3-4.fc18 has been pushed to the Fedora 18 testing repository.

Comment 18 Fedora Update System 2013-05-06 17:14:13 UTC
ibus-bogo-0.3-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-bogo-0.3-5.fc19

Comment 19 Fedora Update System 2013-05-06 17:16:52 UTC
ibus-bogo-0.3-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-bogo-0.3-5.fc18

Comment 20 Fedora Update System 2013-05-16 03:04:02 UTC
ibus-bogo-0.3-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.